using UnityEngine;

namespace Assets.Source.Patterns.ObjectPool
{
    public interface IPoolObject
    {
        GameObject gameObject { get; }
        Transform transform { get; }

        void OnSpawnFromPool();
        void OnReturnToPool();
    }
}
